Populate the Kickoff menu with featured/popular KDE apps
Closed, ResolvedPublic

Description

Currently the default menu is very bare looking. We should pick a number of popular apps and have them added to this menu by default, users can then customise it as they see fit.

clivej created this task.Jan 20 2017, 11:15 PM

Proposed list:

  • Firefox
  • Dolphin
  • Kate
  • KsysGuard
  • LO Writer
  • LO Calc
  • KCalc

Please vote on this list and order. I don't expect to add all of these in there.

Also, in the Computer tab, we should add the Discover Software... thingy.

  • Dolphin
  • Firefox
  • Konversation
  • Kate
  • Konsole
  • Discover
  • System Settings

This is my list.

I like the idea of having Muon Package Manager and KHelp Center on there

I wonder if we could engage the community, maybe ask snowhog about putting a poll on the Kubuntu Forums?

KHelp Center is full of kinda old docs tbh.

  • Dolphin
  • Firefox
  • Kate
  • Writer
  • Calc
  • Discover
  • System Settings

@aaronhoneycutt could the Kubuntu Docs team help out with getting KHelpCenter updated and fit for purpose?

clivej moved this task from Inbox to Packaging / Devel on the Kubuntu board.Mar 10 2017, 1:01 PM
clivej triaged this task as Normal priority.

The one suggestion I really want is Konsole.

Now I know just typing terminal or similar in krunner/kick gets you to that PDQ, but I still fee the default terminal app needs to be there.

So we have compiled a list of nine applications and made a default kickoff menu which gets displayed in the live session and any new users created also see this default until they customise it to their own tastes. This has been uploaded and should land in the next daily iso

Looks good to me!

Now in final freeze. So we are more or less set with the current list.

This should be marked as done no?

It certainly works for me.

This should be marked as done no?

Probably, unless we want to further tweak in Artful?

rikmills closed this task as Resolved.Jun 26 2017, 7:03 AM
rikmills claimed this task.